1

PHP Roadmap

Allgemeine Hinweise

Auf unseren Managed Servern können Sie zwischen unterschiedlichen PHP Versionen wählen. Dadurch können Sie sicherstellen, dass für jedes einzelne Projekt bzw. Anwendung eine kompatible PHP-Version genutzt wird.

Bitte beachten Sie, dass einige Versionen nicht länger mit Sicherheitsupdates durch das PHP-Projekt versorgt werden. Teilweise unterstützen wir zwar diese Versionen noch, jedoch nur solange uns dies technisch möglich ist. PHP läuft im jeweiligen Context des Benutzers, so dass eventuelle Schwachstellen nicht die Sicherheit des Servers beeinträchtigen, wohl aber die Ihrer Applikation. Wir raten deshalb stets dazu eine aktuelle und gepflegte Version zu nutzen.

Informationen zu dem aktuellem Stand der jeweiligen PHP-Versionen finden Sie hier:

https://www.php.net/supported-versions.php

Weiterführende Informationen:

Welche PHP Einstellungen werden verwendet?

Wie prüfe ich, ob meine Anwendung mit einer neueren PHP Version kompatibel ist?

Was kann ich tun, wenn meine Anwendung nicht mit einer neueren PHP Version kompatibel ist?